Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040226
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] StoreServermajorhave not tried2019-02-15 14:432019-03-14 15:33
ReportermtaalView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionopenFixed in Version
StatusnewFix in branchFixed in SCM revision202ff85de59a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040226: Allow all stores in reload data window and do not allow empty filter

DescriptionIn the reload data process window (see attached) it should be possible to reload data to all stores by keeping the store empty.
In addition to prevent reloading a whole huge table we should not allow an empty filter.
Steps To ReproduceSee reload data window
Proposed SolutionSee description
TagsNo tags attached.
Attached Filespng file icon Screenshot from 2019-02-15 14-43-14.png [^] (14,972 bytes) 2019-02-15 14:43

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0109915)
hgbot (developer)
2019-02-18 18:41

Repository: erp/pmods/org.openbravo.replication.symmetricds
Changeset: 202ff85de59a4fce1bb56827d02f62fbc2781678
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Mon Feb 18 18:41:27 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.replication.symmetricds/rev/202ff85de59a4fce1bb56827d02f62fbc2781678 [^]

Fixes issue 40226: Allow all stores in reload data window and do not allow empty filter
Allow all stores, force the user to enter a sql query to prevent reloading all data

---
M src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
M src/org/openbravo/replication/symmetricds/process/ReloadRemoteTableProcess.java
---
(0110442)
AugustoMauch (developer)
2019-03-14 15:33

Now, if no Remote Server is selected, the selected table will be reloaded in all store servers.

So far there has been no need to do a table reload in all store servers, and the way this is implemented now a user could trigger a global table reload accidentally.

It is a good feature, but it would be best if it were more explicit (a different process, or a specific entry in the Remote Server dropdown)

- Issue History
Date Modified Username Field Change
2019-02-15 14:43 mtaal New Issue
2019-02-15 14:43 mtaal Assigned To => mtaal
2019-02-15 14:43 mtaal File Added: Screenshot from 2019-02-15 14-43-14.png
2019-02-15 14:43 mtaal Triggers an Emergency Pack => No
2019-02-18 16:59 mtaal Summary All all stores in reload data window and do not allow empty filter => Allow all stores in reload data window and do not allow empty filter
2019-02-18 18:41 mtaal Review Assigned To => AugustoMauch
2019-02-18 18:41 hgbot Checkin
2019-02-18 18:41 hgbot Note Added: 0109915
2019-02-18 18:41 hgbot Status new => resolved
2019-02-18 18:41 hgbot Resolution open => fixed
2019-02-18 18:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.replication.symmetricds/rev/202ff85de59a4fce1bb56827d02f62fbc2781678 [^]
2019-03-14 15:33 AugustoMauch Note Added: 0110442
2019-03-14 15:33 AugustoMauch Status resolved => new
2019-03-14 15:33 AugustoMauch Resolution fixed => open


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker